#ifndef __SOUND_BUFFER____H__
#define __SOUND_BUFFER____H__

#include <SDL.h>

void soundbuffer_start(Uint32 sampleRatePerSecond);
void soundbuffer_destroy();

void soundbuffer_write(Uint8 value);
Uint8 soundbuffer_read();

void soundbuffer_sync__set_min_trailing_distance_factor(Uint16 factor);
void soundbuffer_sync__set_max_trailing_distance_factor(Uint16 factor);
void soundbuffer_sync__set_rewind_amount_factor(Uint16 factor);
void soundbuffer_sync__set_fastforward_amount_factor(Uint16 factor);

void soundbuffer_set_buffer_size(double seconds);

void soundbuffer_enable_resync_logging();

#endif  // !__SOUND_BUFFER____H__
